Skip to content

Address Book

All operations require authentication.

12 operationsv1/telephony/{billingAccount}
View as Markdown (opens in a new tab)
Agent setup

List phonebooksProduction

GET
/v1/telephony/{billingAccount}/phonebook

List phonebooks. Returns the identifiers (bookKey) of the phonebooks shared by the billing account. A phonebook stores contacts with their phone numbers.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a phonebookProduction

GET
/v1/telephony/{billingAccount}/phonebook/{bookKey}

Get a phonebook. Returns the name and the identifier (bookKey) of the phonebook shared by the billing account.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200PhonebookMastersuccessful operation
bookKey
read-only
string

Identifier of the phonebook

name
string

Phone book name

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bookKey": "string", "name": "string"}

Create a phonebookProduction

POST
/v1/telephony/{billingAccount}/phonebook

Create a phonebook. Creates a phonebook shared by the billing account. Returns its identifier (bookKey).

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

name
required
string

Name of the wanted phonebook

Response

200stringsuccessful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete a phonebookProduction

DELETE
/v1/telephony/{billingAccount}/phonebook/{bookKey}

Delete a phonebook. Deletes the phonebook shared by the billing account and its contacts. Export the contacts first to keep a copy.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200—successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a phonebookProduction

PUT
/v1/telephony/{billingAccount}/phonebook/{bookKey}

Update a phonebook. Updates the name of the phonebook shared by the billing account. Contacts are updated one by one.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

bookKey
read-only
string

Identifier of the phonebook

name
string

Phone book name

Response

200—successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Export contactsProduction

GET
/v1/telephony/{billingAccount}/phonebook/{bookKey}/export

Export contacts. Exports the contacts of the phonebook to a file in CSV format. Returns the file to download.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Query parameters

format
required
ContactsExportFormatsEnum

Format of the file

Valuescsv

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/export \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

Import contactsProduction

POST
/v1/telephony/{billingAccount}/phonebook/{bookKey}/import

Import contacts. Imports contacts into the phonebook from an Excel (.xls, .xlsx) or CSV file in /me/document. Returns the task that performs the import.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

documentId
required
string

ID of the /me/document file you want to import

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/import \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List contactsProduction

GET
/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact

List contacts. Returns the identifiers of the contacts of the phonebook. Get a contact for its name, group and phone numbers.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200integer[]successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a contactProduction

GET
/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Get a contact. Returns the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Response

200PhonebookContactsuccessful operation
group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}

Create a contactProduction

POST
/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact

Create a contact. Creates a contact in the phonebook with a name, surname, group and phone numbers. Returns its identifier.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

group
required
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

name
required
string

Name of the contact

surname
required
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200integersuccessful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
0

Delete a contactProduction

DELETE
/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Delete a contact. Deletes the contact from the phonebook, with its name, group and office and home phone numbers.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a contactProduction

PUT
/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Update a contact. Updates the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Request body (required)

group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"